<div class="card">
    <div class="card-header">
        <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
            Bandas entregadas al huesped <strong>{{ noFolio }}</strong>
        </div>
        <div class="btn-actions-pane-right" *ngIf="showGrid">
            <button type="button" class="btn btn-primary btn-lg py-2 px-4" (click)="nuevo()"
                [disabled]="consulta && !grabarBandas">
                <i class="fa fa-plus mr-2"></i>Nuevo
            </button>
        </div>
    </div>
    
    <div class="card-body">
        <kendo-grid [data]="gridData" [selectable]="true" [reorderable]="true" [resizable]="true" style="height:50vh;"
            (remove)="cancelarBanda($event)" (selectionChange)="selectRow($event)" *ngIf="showGrid">
            <ng-container *ngIf="gridData.length !== 0">
                <kendo-grid-column field="tbanda" title="Tipo" width="100"></kendo-grid-column>
                <kendo-grid-column field="hbanda" title="Banda" width="100"></kendo-grid-column>
                <kendo-grid-column field="hfecha" title="Fec. Entrega" width="120">
                    <ng-template kendoGridCellTemplate let-dataItem>
                        {{ dataItem.hfecha | date: formatKendo }}
                    </ng-template>
                </kendo-grid-column>
                <kendo-grid-column field="hope" title="Ope" width="100"></kendo-grid-column>
                <kendo-grid-column field="hnotas" title="Notas" width=""></kendo-grid-column>
                <kendo-grid-column field="hncx" title="Cancelacion" width=""></kendo-grid-column>
                <kendo-grid-command-column title="Acciones" width="110" *ngIf="!consulta || grabarBandas">
                    <ng-template kendoGridCellTemplate>
                        <button kendoGridRemoveCommand [primary]="true">Cancelar</button>
                    </ng-template>
                </kendo-grid-command-column>
            </ng-container>
            <ng-template kendoGridNoRecordsTemplate>
                No hay resultados para mostrar.
            </ng-template>
        </kendo-grid>
        <!-- Formulario para grabar y editar requerimientos -->
        <div class="container animated fadeIn" *ngIf="!showGrid">
            <form (ngSubmit)="guardarBanda(formReq.value)" #formReq="ngForm">
                <div class="row">
                    <div class="form-group col-6 col-md-4 col-lg-2">
                        <label>Fecha Entregada</label>
                        <input type="text" name="hfecha" [(ngModel)]="hfecha" class="form-control" [readonly]="true">
                    </div>
                    <div class="form-group col-6 col-md-4 col-lg-2">
                        <label>Fecha Vigencia</label>
                        <input type="text" name="hfvig" [(ngModel)]="hfvig" class="form-control" [readonly]="true">
                    </div>
                    <div class="form-group col-6 col-md-4 col-lg-2">
                        <label>Operador</label>
                        <input type="text" name="hope" [(ngModel)]="hope" class="form-control" [readonly]="true">
                    </div>
                    <div class="form-group col-12 col-md-8 col-lg-4">
                        <label for="codigoReq">Tipo</label>
                        <kendo-combobox [data]="dsTipoBanda" [textField]="'tdesc'" [valueField]="'tbanda'"
                            [valuePrimitive]="true" name="tbanda" [(ngModel)]="tbanda" [disabled]="readOnly"
                            class="w-100" required>
                        </kendo-combobox>
                    </div>
                    <div class="form-group col-md-4 col-lg-2">
                        <label>Banda</label>
                        <input type="text" name="hbanda" [(ngModel)]="hbanda" class="form-control" [readonly]="readOnly"
                            required>
                    </div>
                    <div class="form-group col-md-12 col-md-6">
                        <label>Notas</label>
                        <textarea name="hnotas" [(ngModel)]="hnotas" [readonly]="readOnly" class="form-control" rows="2"
                            required></textarea>
                    </div>
                    <div class="py-3 pl-3 col-12">
                        <button type="submit" class="btn btn-success py-2 px-4"
                            [disabled]="!formReq.valid || !dsTipoBanda[0].tdesc" *ngIf="!readOnly">
                            <i class="fa fa-save mr-2"></i>Guardar
                        </button>
                        <button class="btn btn-secondary py-2 px-4 ml-1" (click)="regresar()">Regresar</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>